### clp_ga_projekt.py
# Neue Modellierung fuer das CLP mit Genetischen Algorithmen
# Vorgegeben ist eine Liste mit Containern und eine Liste mit Stuecken
# Ueberschreitungen werden akzeptiert, allerdings mit mehrfachem Gewicht
# als malus bewertet.
# Die nicht eingebauten Stuecke liegen dazu am Kopf der Container-Listen
# in einem "Container"  mit dem Fassungsvermoegen 0.

### Die vorliegende Loesung weicht dadurch von der Standardloesung ab, dass
### keine Individuen untereinander "Gene" austauschen, sondern nur
### die Container eines (!) Individuums jeweils. Dadurch erspart man sich
### die Betrachtungen der Zulaessigkeit. Der Pool ermoeglicht es aber, schnell
### unguenstige Vorgaben auszuschliessen.

##from clp_ga_daten import * # enthaelt: stuecke und containerListe
## alternative Datenlisten:
from clp_ga_daten_2 import * # enthaelt: stuecke und containerListe
from clp_ga_pool import *
from clp_ga_bewertung import *
##from clp_ga_mutation import *
##from clp_ga_selektion import *
##from clp_ga_crossing_over import *
from clp_ga_generation import *

##print(generation(pool))
def AusgabeGenerationenFolge():
    print('stuecke',stuecke)
    print('containerListe',containerListe)
    print('bestwert',bestwert)
    gF=generationenFolge(erzeugePool(10, containerListe), 80)
    print(gF[0], bewerte(gF[0]))

AusgabeGenerationenFolge()
##generationenFolge(erzeugePool(10, containerListe), 50)
